!--------------------
!  définition de la donnée initiale
!--------------------

module mod_ci

  use mod_precision

contains

  function ci(x,y) result(f0)

    implicit none

    real(pr), dimension(:),intent(in) :: x,y
    real(pr), dimension(1:size(x)) :: f0
    integer :: i

    !--- exemple 1 : fonction caracteristique disque
    do i=1,size(x)
       if (((x(i)-0.25_pr)**2+y(i)**2)>0.0625_pr**2) then
          f0(i)=0._pr
       else
          f0(i)=1._pr
       end if
    end do
!!$    !--- exemple 2 : fonction caracteristique disque
!!$    do i=1,size(x)
!!$       if (((x(i)+2.0_pr)**2+y(i)**2)>(3._pr/16._pr)**2) then
!!$          f0(i)=0._pr
!!$       else
!!$          f0(i)=1._pr
!!$       end if
!!$    end do
!!$    !--- exemple 3 : CI nulle partout
!!$    f0=0._pr

  end function ci

end module mod_ci
